{% extends "NewCampus/profile_usuario.html" %}
{% load admin_static i18n %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/profile2/">Home</a> <span class="divider">/</span></li>
                    <li class="active">{% trans 'Cursos a llevar' %}</li>
                </ul>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Historial de Cursos' %}: <span style="font-size:85%;color:#c41104">{{ periodo_select.Anio }} - {{ periodo_select.Semestre }}</span></h3>
        
        <form action="" method="get" class="form-horizontal well">
            {% csrf_token %}
            <select name="ciclo" id="ciclo" style="width: 300px;">
                <option value="">-----Selecciona un ciclo -----</option>
                {% for ciclo in ciclos %}
                    <option value="{{ ciclo.Periodo.id }}">{{ ciclo.Periodo.Anio }} -  {{ ciclo.Periodo.Semestre }}</option>
                {% endfor %}
            </select>
            <input type="submit" value="Cargar">
        </form>
        {% if results %}
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
            <th>{% trans 'Nº' %}</th>
            <th>{% trans 'Curso' %}</th>
            <th>{% trans 'Docente' %}</th>
            <th>{% trans 'Horario' %}</th>
            <th>{% trans 'Notas' %}</th>
            <th>{% trans 'Asistencia' %}</th>
            </tr>
            </thead>
            <tbody>
            {% for result in results %}
            <tr>
                <TD>{{ forloop.counter|escape }}</TD>
                <TD><h4>{{ result.0.PeriodoCurso.Curso.Nombre }}</h4>
                    <span class="label">{{ result.0.PeriodoCurso.Curso.Codigo }}</span>
                    <span class="label">{{ result.0.PeriodoCurso.Curso.Ciclo }}º Ciclo</span>
                </TD>
                <TD>{{ result.0.PeriodoCurso.Docente }}</TD>
                <TD>{% for r in result.1 %}
                         {{ r.Dia }}, {{ r.HoraInicio }} - {{ r.HoraFin }} {{ r.Seccion }}<br>
                    {% endfor %}
                </TD>
                <td>
                    <a class="btn btn-success" href="notas/unique/{{result.0.PeriodoCurso.id}}"> Descargar</a>
                </td>
                <td>
                    <a class="btn btn-success" href="asistencia/{{result.0.PeriodoCurso.id}}"> Descargar</a>
                </td>
                
            </tr>
            {% endfor %}
            <tr>
                <td colspan="4"><center><h4>Boleta de notas</h4></center></td>
                <td colspan="2">
                    <center><a class="btn btn-success" href="notas/ponderado/{{periodo_select.id}}"> Descargar</a></center>
                </td>
            </tr>
            <tr>
                <td colspan="4"><center><h4>Ficha de matrícula</h4></center></td>
                <td colspan="2">
                    <center><a class="btn btn-success" href="fichamatricula/{{periodo_select.id}}"> Descargar</a></center>
                </td>
            </tr>
            </tbody>
        </table>
        {% else %}
        <div class="alert alert-success">
            <i class="icon-eye-open"></i> {% trans "No se encuentra matriculado en este semestre" %} {{ periodo }}
        </div>
     {% endif %}
    </div>    
</div>
{% endblock %}
